Subject: Re: linux/*.h include files
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Fri, 17 Oct 2003 14:26:25 -0700

Flavio Rabello de Souza wrote:
> 
> I´m trying to compile a C program under cygwin but it uses some linux
> include files. (#include <linux/in.h> and #include <linux/if_ether.h>)

I did something similar when compiling tcpflow, but I just used a couple
of missing header files from FreeBSD.  See
<http://www.cygwin.com/ml/cygwin/2003-07/msg01772.html> for details.  In
the case of Cygwin (and probably other platforms), those headers reside
in 'netinet' not 'linux', so you'll probably have to modify the sources.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/